Bug 518437 - Review Request: django-filter - A Django application for allowing users to filter queryset dynamically
Summary: Review Request: django-filter - A Django application for allowing users to fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Allisson Azevedo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 12:31 UTC by Diego Búrigo Zacarão
Modified: 2009-09-12 17:54 UTC (History)
3 users (show)

Fixed In Version: 0.5.0-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-22 00:57:59 UTC
allisson: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Diego Búrigo Zacarão 2009-08-20 12:31:22 UTC
Spec URL: http://diegobz.fedorapeople.org/packages/django-filter/django-filter.spec
SRPM URL: <http://diegobz.fedorapeople.org/packages/django-filter/django-filter-0.5.0-1.fc11.src.rpm

Description:

Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

-------
New dependency for the upcoming Transifex 0.7.

Comment 1 Allisson Azevedo 2009-08-20 13:19:49 UTC
[+] source files match upstream:
[+] package meets naming and versioning guidelines.
[+] license field matches the actual license.
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
    This is a noarch package.
[+] %clean is present.
[+] package builds in koji.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1617409
[+] package installs properly.
[+] rpmlint is silent.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] no scriptlets present.
[+] documentation is small, so no -docs subpackage is necessary.

APPROVED

Comment 2 Diego Búrigo Zacarão 2009-08-20 13:31:39 UTC
Thank you, Allisson.

New Package CVS Request
=======================
Package Name: django-filter
Short Description: A Django application for allowing users to filter queryset dynamically
Owners: diegobz
Branches: F-10 F-11 EL-5
InitialCC: diegobz

Comment 3 Jason Tibbitts 2009-08-20 17:39:07 UTC
CVS done.

Comment 4 Fedora Update System 2009-08-20 18:29:40 UTC
django-filter-0.5.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/django-filter-0.5.0-1.fc11

Comment 5 Fedora Update System 2009-08-20 18:30:13 UTC
django-filter-0.5.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/django-filter-0.5.0-1.el5

Comment 6 Fedora Update System 2009-08-20 18:30:19 UTC
django-filter-0.5.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/django-filter-0.5.0-1.fc10

Comment 7 Fedora Update System 2009-08-22 00:57:54 UTC
django-filter-0.5.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-08-22 00:59:31 UTC
django-filter-0.5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-09-12 17:54:13 UTC
django-filter-0.5.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.